aboutsummaryrefslogtreecommitdiffstats
path: root/testing/thunar-volman/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-02 08:42:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-02 08:42:31 +0000
commitb4dedb42f5eea93e328cfd5a7915c1f9c1f484f4 (patch)
tree7be6f2cf668fe57d56dc7b682ce1816a1771c125 /testing/thunar-volman/APKBUILD
parenta0023c2a3965df1ebd4da720bc0419e621a473ef (diff)
downloadaports-b4dedb42f5eea93e328cfd5a7915c1f9c1f484f4.tar.gz
aports-b4dedb42f5eea93e328cfd5a7915c1f9c1f484f4.tar.bz2
aports-b4dedb42f5eea93e328cfd5a7915c1f9c1f484f4.tar.xz
testing/thunar-volman: new aport
Thunar extension for volumes management http://goodies.xfce.org/projects/thunar-plugins/thunar-volman
Diffstat (limited to 'testing/thunar-volman/APKBUILD')
-rw-r--r--testing/thunar-volman/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/thunar-volman/APKBUILD b/testing/thunar-volman/APKBUILD
new file mode 100644
index 0000000000..66ddbcc972
--- /dev/null
+++ b/testing/thunar-volman/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=thunar-volman
+pkgver=0.5.2
+pkgrel=0
+pkgdesc="Thunar extension for volumes management"
+url="http://goodies.xfce.org/projects/thunar-plugins/thunar-volman"
+license="GPL"
+depends=
+makedepends="thunar-dev exo-dev udev-dev libxfce4ui-dev"
+install=
+subpackages=
+source="http://archive.xfce.org/src/apps/thunar-volman/${pkgver%.*}/thunar-volman-$pkgver.tar.bz2"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ # apply patches here
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="6c98bd82c0348b76d6548f8eca96113b thunar-volman-0.5.2.tar.bz2"